binutils: add support for 2.23.1
[openwrt/openwrt.git] / toolchain / binutils / Config.in
1 # Choose binutils version.
2
3 choice
4 prompt "Binutils Version" if TOOLCHAINOPTS
5 default BINUTILS_VERSION_2_19_1 if ubicom32
6 default BINUTILS_VERSION_2_20_1 if avr32
7 default BINUTILS_VERSION_2_22
8 help
9 Select the version of binutils you wish to use.
10
11 config BINUTILS_VERSION_2_19_1
12 depends ubicom32
13 bool "binutils 2.19.1"
14
15 config BINUTILS_VERSION_2_20_1
16 depends avr32
17 bool "binutils 2.20.1"
18
19 config BINUTILS_VERSION_2_21
20 depends !ubicom32
21 depends !avr32 || (avr32 && BROKEN)
22 bool "binutils 2.21"
23
24 config BINUTILS_VERSION_2_21_1
25 depends !ubicom32
26 depends !avr32 || (avr32 && BROKEN)
27 bool "binutils 2.21.1"
28
29 config BINUTILS_VERSION_2_22
30 depends !ubicom32 || (ubicom32 && BROKEN)
31 depends !avr32 || (avr32 && BROKEN)
32 bool "binutils 2.22"
33
34 config BINUTILS_VERSION_2_23_1
35 depends !ubicom32 || (ubicom32 && BROKEN)
36 depends !avr32 || (avr32 && BROKEN)
37 bool "binutils 2.23.1"
38
39 endchoice
40
41 config EXTRA_BINUTILS_CONFIG_OPTIONS
42 string
43 prompt "Additional binutils configure options" if TOOLCHAINOPTS
44 default ""
45 help
46 Any additional binutils options you may want to include....
47
48 config BINUTILS_VERSION
49 string
50 prompt "Binutils Version" if (TOOLCHAINOPTS && NULL)
51 default "2.19.1" if BINUTILS_VERSION_2_19_1
52 default "2.20.1" if BINUTILS_VERSION_2_20_1
53 default "2.21" if BINUTILS_VERSION_2_21
54 default "2.21.1" if BINUTILS_VERSION_2_21_1
55 default "2.22" if BINUTILS_VERSION_2_22
56 default "2.23.1" if BINUTILS_VERSION_2_23_1
57 default "2.19.1" if ubicom32
58 default "2.20.1" if avr32
59 default "2.22"